{
	"name": "form/nc/erp-sync/lantek/column/product-work.json",
	"option": {
		"grid_option": {
			"cell_class_rules": {
				"nc-grid-cell-changed": "data.link_rec && colDef.change_compare !== false && recDataDifferent(data.link_rec, colDef, x)"
			},
			"row_class_rules": {
				"nc-grid-row-changed": "data.change_status === 'changed'",
				"nc-grid-row-deleted": "data.change_status === 'deleted'",
				"nc-grid-row-equal": "data.change_status === 'equal'",
				"nc-grid-row-new": "data.change_status === 'new'"
			}
		}
	},
	"column": [
		{
			"change_compare": false,
			"link_field": "pr.product_id",
			"name": "Row",
			"record_type": "",
			"variable": "idx"
		},
		{
			"export": false,
			"name": "Status",
			"variable": "change_status",
			"editable": false,
			"width": 60
		},
		{
			"export": false,
			"name": "Change field",
			"variable": "change_field",
			"editable": false,
			"width": 130
		},
		{
			"field": "pr.product_id",
			"name": "Product id",
			"width": 230
		},
		{
			"import": false,
			"field": "pr.name",
			"name": "Name",
			"width": 420
		},
		{
			"import": false,
			"field": "pr.product_id",
			"name": "Work",
			"width": 100,
			"organization_id": { "lantek": { "load": false } }
		},
		{
			"import": false,
			"field": "pr.product_group",
			"name": "Group",
			"width": 80
		},
		{
			"import": false,
			"field": "pr.subgroup",
			"name": "Subgroup",
			"width": 140
		},
		{
			"import": false,
			"field": "pr.quality",
			"name": "Quality",
			"width": 180
		},
		{
			"change_compare": false,
			"import": false,
			"field": "pr.info",
			"name": "Info",
			"width": 300,
			"organization_id": { "lantek": { "load": false } }
		},
		{
			"change_compare": false,
			"field": "pr.record_id",
			"hide": false,
			"name": "Record id",
			"width": 110,
			"organization_id": { "lantek": { "load": false } }
		},
		{
			"import": false,
			"change_compare": false,
			"variable": "pr.json_data",
			"name": "Data",
			"width": 4000
		}
	]
}
